Subject: bug#17560: 24.4.50; wrong type argument if rmail-delete-after-output set

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 May 2014 20:37:48 +0300

> From: Ken Olum <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 23 May 2014 11:50:59 -0400
> 
> I'd put
> 
> (if (not count) (setq count 1))
> 
> in rmail-delete-forward and for consistency make the argument of
> rmail-delete-backward optional and add the same code there.
> 
> Unfortunately, that is not consistent with rmail-next-message, for
> example.  The alternative would be to make the argument not optional and
> change all callers to say (rmail-delete-forward 1).

The alternative is what I had in mind, yes.

> Unfortunately, in previous versions of emacs this would mean to move
> backward, so new calls would be incompatible with the old
> definition, which I think argues against this plan.

I don't think this problem should bother us, as the change in
rmail-delete-forward is backward-incompatible anyway.  Which reminds
me: could you also make a suitable entry in NEWS?

TIA